petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscViewerHDF5HasAttribute

Check whether an attribute exists

### Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5HasAttribute(PetscViewer viewer, const char dataset[], const char name[], PetscBool *has)

### Input Parameters

| viewer | - The HDF5 viewer
| dataset | - The parent dataset name, relative to the current group. NULL means a group-wise attribute.
| name | - The attribute name

### Output Parameter

has -Flag for attribute existence

### See Also

PetscViewerHDF5Open(), PetscViewerHDF5HasObjectAttribute(), PetscViewerHDF5WriteAttribute(), PetscViewerHDF5ReadAttribute(), PetscViewerHDF5PushGroup(),PetscViewerHDF5PopGroup(),PetscViewerHDF5GetGroup()

### Level

advanced

### Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

### Implementations

PetscViewerHDF5HasAttribute_Internal in src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages